#ifndef _COBJMESSAGESELECT_H_
#define _COBJMESSAGESELECT_H_


#include "CObjMessage.h"

#define NB_OF_ACTION	2						//nombre d'actions prédéfinies
#define ACT_MOUSEHOVER	0						//la souris passe au dessus d'un élément
#define ACT_MOUSECLICK	1						//la souris clique sur un élément


class CObjMessageSelect:public CObjMessage
{
private:
	int index;									//index de l'élément
	int action;									//action appliquée sur l'élément

public:
	CObjMessageSelect(int index, int action, int redrawobject);	//constructeur
	virtual ~CObjMessageSelect();				//destructeur

	int GetIndex();								//retourne l'index de l'élément
	int GetAction();							//retourne l'action appliquée sur l'élément
};


#endif